Les 20 meilleurs outils pyRevit pour Revit

pyRevit features

pyRevit est de loin l'un des meilleurs plugins gratuits pour Revit. Nous avons sélectionné nos 20 principales fonctionnalités avec lesquelles nous ne pourrions pas imaginer fonctionner sans elles. Dans cet article, nous allons explorer ce qui rend pyRevit si incroyable et comment il fait de vous un assistant de productivité.

pyRevit Pa :

En 2014, un formidable architecte nommé Ehsan Iran-Nejad a créé pyRevit, un plugin multidisciplinaire pour Revit offrant les outils dont nous rêvions. Ce plugin est alimenté par IronPython et est livré avec un tas de scripts qui montrent les compétences folles d'Ehsan et son amour pour le design et tout ce qui est innovant.

Considérez pyRevit comme la sauce secrète de Revit pour les développeurs. Il est très facile de créer des modules complémentaires de premier ordre pour Revit à l'aide de Python. Et le meilleur ? Vous pouvez partager ces outils avec votre équipe et développer des outils en interne. Félicitations à lui pour être une telle archi-rock star ! 🌟

Dernière mise à jour : octobre 2023

Par : Andrii Tymoshchuk, Anais Simaan

Sans plus tarder, passons à notre ensemble d'outils préféré :

1. Exagération

Sonne familier? La fonction Overkill est un excellent outil qui tire son nom et ses fonctionnalités de base d'AutoCAD. La fonction Overkill du plugin pyRevit aide les utilisateurs à identifier et à supprimer les lignes inutiles et à éliminer la géométrie en double, ce qui permet d'obtenir des dessins plus propres.

Fonctionnalité excessive de pyRevit

* une petite description de la fonctionnalité Overkill par les auteurs.

L'outil overkill comprend les options suivantes :

  1. Exagération en considérant les poids des lignes
  2. Surcharger toutes les lignes
  3. Lignes de détail excessives
  4. Lignes de modèles excessives
  5. Lignes de séparation de pièce excessives (très utiles)

Revit exagéré

2. Outil de correspondance

Paramètres de remplacement graphique de l'élément Copier et coller : Cliquez d'abord sur les objets source, puis cliquez sur tous les objets de destination pour appliquer les nouveaux remplacements graphiques.

faire correspondre l'outil Revit

Maj + Clic sur l'outil pour configurer les remplacements graphiques à inclure lors de la copie :

copier le graphique remplace Revit

3. Renuméroter

Dites adieu à la renumérotation manuelle – pyRevit est là pour vous ! La fonction Renuméroter dans pyRevit vous permet de renuméroter rapidement des éléments tels que des pièces, des portes et des fenêtres.

renuméroter le pyrevit

* une petite description de la fonctionnalité Renuméroter par les auteurs.

Éléments pouvant être renumérotés à l'aide de pyRevit Renumber :

  1. Pièces
  2. Les espaces
  3. Des portes
  4. Portes par pièces
  5. Des murs
  6. les fenêtres
  7. Parking
  8. Les niveaux
  9. Grilles

Après avoir choisi le numéro de départ, la séquence de clics détermine l'ordre des nouveaux numéros :

renuméroter les pièces revit

4. Gérer les keynotes

Au lieu de modifier des fichiers texte en dehors de Revit, utilisez l'organisateur Gérer les notes d'identification de PyRevit pour tout modifier en un seul endroit : ajoutez de nouvelles catégories, de nouvelles notes d'identification, supprimez les anciennes, réorganisez les éléments, etc. Vous pouvez appliquer des notes d’identification à plusieurs éléments en même temps. De plus, trouver rapidement les bonnes keynotes est désormais une option grâce à la barre de recherche et de filtrage.

Fonctionnalité Keynotes Guide pyRevit

* une petite description de la fonctionnalité Gérer les Keynotes par les auteurs.

discours d'ouverture sur Pyrevit

5. Isoler

La fonction Isoler de pyRevit est un outil intéressant qui facilite le contrôle de ce que vous voyez dans Autodesk Revit. En un seul clic, vous pouvez masquer tous les éléments de la vue à l'exception de ceux que vous sélectionnez. C'est un excellent moyen de se concentrer sur des parties spécifiques de votre conception et de les modifier en mode isolation. Il offre plus d'options que l'outil intégré « Isoler l'élément » ou « Isoler la catégorie » afin que vous puissiez également isoler les éléments peints, les groupes de modèles, etc.

pyRevit isoler

* une petite description de la fonctionnalité Isoler par les auteurs.

Éléments pouvant être isolés à l'aide de pyRevit Isolate :

  1. Lignes de démarcation de zone
  2. Colonnes
  3. Des portes
  4. Sols
  5. Colonnes structurelles
  6. Des murs
  7. les fenêtres
  8. Balises des chambres
  9. Groupes de modèles
  10. Éléments peints (les plus utiles)
  11. Éléments du modèle

    Une fonctionnalité manquante notable dans Revit est l'impossibilité de modifier ou de détecter rapidement les éléments peints . Cela peut être réalisé à l'aide de l'outil pyRevit Isolate et en sélectionnant l'option Éléments peints :

    isoler les éléments peints revit

    Un autre outil pratique consiste à isoler les groupes de modèles :

    isoler les groupes de modèles Revit

    6. Imprimer des feuilles

    Le processus d'impression dans Revit s'est amélioré au fil des années, mais tout n'est toujours pas possible avec l'outil d'impression natif. Personnalisez vos paramètres d'impression, choisissez votre format de papier et imprimez même plusieurs PDF de différentes tailles en même temps.

    Guide des fonctionnalités d'impression de feuilles

    * une petite description de la fonctionnalité Imprimer les feuilles par les auteurs.

    imprimer des feuilles pyRevit comment faire

    Un autre gros avantage de cette fonctionnalité est la possibilité d’imprimer plusieurs feuilles de différents formats de papier !

    feuilles d'impression pyrevit

    7. Outils de feuilles

    Le menu déroulant PyRevit Sheets comprend 15 outils des fonctionnalités les plus recherchées et manquantes, dont la plupart sont faciles à comprendre d'après leur titre :

    1. Copier des fenêtres (légendes) vers d'autres feuilles
    2. Déplacer les fenêtres (modèle, détail) vers d'autres feuilles
    3. Épingler toutes les fenêtres : nous vous recommandons également d'utiliser la désélection des objets épinglés pour enregistrer définitivement la position des fenêtres épinglées.
    4. Réorganiser les fenêtres sélectionnées
    5. Copier des feuilles pour ouvrir des documents
    6. Batch Sheet Maker (veuillez consulter les explications de l'outil suivant)
    7. Sélectionner des feuilles
    8. Renommer les vues sélectionnées
    9. Liste/Sélection des TitleBlocks sur les feuilles : super pratique pour remplacer les familles de cartouches
    10. Définir la zone de recadrage sur la forme sélectionnée : après avoir créé un polygone personnalisé
    11. Ouvrir les fenêtres sélectionnées
    12. Réorganiser les feuilles : renommez les PDF déjà imprimés depuis Revit dans un dossier spécifique
    13. Renommer les feuilles PDF : en MAJUSCULE ou en minuscule
    14. Décrémenter les numéros de feuilles sélectionnées
    15. Incrémenter les numéros de feuilles sélectionnées
    Guide des fonctionnalités de la feuille

    * sous-fonctions liées à Sheets que vous pouvez utiliser.

    8. Créateur de feuilles de lots

    Créez plusieurs feuilles à la fois, avec des noms et des numéros personnalisés en un clin d'œil.

    Guide des fonctionnalités du générateur de feuilles par lots

    * une petite description de la fonctionnalité Batch Sheet Maker par les auteurs.

    créateur de feuilles de lots pyRevit comment faire

    C'est assez simple, mais vous devez comprendre que Revit se dispute parfois avec différents noms de feuilles, il n'aime pas les "-" simples, les chiffres simples sans lettre et les symboles similaires.

    En conséquence, nous avons obtenu un tas de feuilles avec des titres appropriés et avons réduit le temps consacré à un processus aussi désagréable que la création de feuilles.

    Conseil de pro :

    Créez un fichier Excel avec deux colonnes : numéro de feuille et nom de la feuille, remplissez-le, puis copiez et collez les informations d'Excel vers pyRevit à tout moment. Cela pourrait également être très utile dans les projets futurs.

    Astuce pyRevit Pro

    9. Coloration des onglets

    La fonction Tab Coloring de pyRevit est un outil intéressant pour attribuer des couleurs à différents onglets, facilitant ainsi la recherche et le basculement entre les projets et les familles.

    onglets de couleur revit

    Activation de la fonctionnalité :

    Pour utiliser pleinement cette fonctionnalité, vous devez d'abord l'activer. Cela se fait comme suit:
    1. Allez dans les paramètres du plugin
    2. Ouvrez l' onglet UI/UX
    3. Activez la fonction Coloriser les documents ouverts (vous verrez ici immédiatement les couleurs qui seront utilisées pour mettre en évidence certains éléments et la manière dont ils sont mis en évidence).
    4. Vous pouvez activer et désactiver cette fonctionnalité chaque fois que vous en avez besoin. Tout ce que vous avez à faire est de cliquer sur l' onglet « Coloration des onglets » (lorsque la fonctionnalité est activée, vous verrez les éléments personnalisés en surbrillance et le cercle à côté de « Coloration des onglets » brillera d'une couleur différente).

    fonction de coloration de l'onglet pyrevit

    10. Outils d'effacement

    Revit dispose de son outil Purge, mais il ne peut pas toujours se débarrasser de tout. C'est là que Wipe entre en jeu. Les paramètres tels que les modèles de vue, les filtres, les contraintes, les fenêtres, les sous-catégories, les balises d'élévation vierges et les annotations dont vous ne saviez même pas qu'elles encombraient votre modèle peuvent désormais être supprimés.

    1. Effacer le composant du modèle : (veuillez consulter les explications de l'outil suivant)
    2. Effacer les contraintes attachées : supprime toutes les contraintes attachées à l'objet sélectionné.
    3. Effacer les familles sélectionnées : (veuillez consulter les explications de l'outil suivant)
    4. Wipe Site Designer Line Styles : supprime tous les styles de ligne supplémentaires qui ont été créés.
    5. Wipe Unpurgeable Viewport Types : pour sélectionner la ou les fenêtres qui doivent être remplacées par une autre, corrigez éventuellement son type.
    6. Wipe Data Schema : supprime le schéma de données sélectionné et ses entités
    7. Effacer le cache de collaboration BIM360
    8. Wipe SubCategories : réinitialise toutes les catégories et sous-catégories de modèles par défaut
    9. Effacer les filtres inutilisés : supprime tous les filtres de paramètres de vue qui n'ont été répertoriés dans aucune vue, même pour les feuilles
    10. Effacer les modèles de vue inutilisés : supprimez tous les modèles de vue inutilisés
    11. Effacer les balises d'élévation vides : supprimez toutes les balises d'élévation vides du modèle)
    12. Wipe Empty Tags : supprime toutes les balises vides dans la vue actuelle ou MAJ+clic : supprime les balises dans les vues sélectionnées.
    13. Wipe ArrowHeads type : supprime les types de pointes de flèche sélectionnés
    14. Effacer tous les paramètres du projet
    Guide des fonctionnalités de nettoyage

    * sous-fonctions liées au wipe que vous pouvez utiliser.

    11. Effacer les composants du modèle :

    Débarrassez-vous rapidement des composants inutiles de votre projet, tels que les familles, les vues, etc. Avec cet outil, vous pouvez facilement et simplement résumer les résultats de votre travail acharné et préparer la version finale de votre projet.

    effacer les composants du modèle pyRevit comment faire

    12. Effacer les familles sélectionnées :

    Grâce à ce script, vous pouvez facilement et rapidement sélectionner des Familles et les supprimer complètement et définitivement de votre projet en un clic.

    effacer les familles sélectionnées pyrevit

    13. Créer un motif

    Dites adieu aux modèles ennuyeux à deux lignes. Avec cela, vous pouvez créer le vôtre en utilisant des lignes, des arcs et des cercles. C'est comme avoir un terrain de jeu de modèles dans Revit, bien plus sophistiqué que le créateur de modèles classique.

    Créer un guide de modèle

    * une petite description de la fonctionnalité Make Pattern par les auteurs.

    Créer un nouveau motif est un jeu d’enfant. Regarde ça:

    faire un patron comment faire

    * Dessinons un motif de mur de briques à l'aide des lignes de détail.

    Créer un nouveau modèle

    Nous réalisons un cadre dans lequel nos hachures seront marquées pour nous aider à naviguer dans l'espace. Nous supposons que la taille de la brique est la norme 250 x 120 x 65 mm , avec 1 cm supplémentaire pour le mortier.
    faire un dessin de caractéristiques de motif

    * J'ai réalisé un cadre et des empreintes appropriées pour le mortier. De plus, j'ai rendu les lignes du cadre plus épaisses pour l'orientation dans l'espace.

    Après avoir dessiné la tuile de base du motif, tout ce que vous avez à faire est de sélectionner les lignes, d'utiliser la fonction Créer un motif et de le nommer.

    faire un dessin de caractéristiques de motif

    * n'oubliez pas de sélectionner les lignes du motif !

    Donnez un nom à votre nouveau modèle et choisissez les options souhaitées.

    dessin de hachures avec pyRevit

    * n'oubliez pas de sélectionner les hachures ! Mais rappelez-vous que vous n’êtes pas obligé de sélectionner un cadre !

    Après avoir cliqué sur Créer un motif, vous devrez sélectionner le point inférieur gauche et le point supérieur droit comme si vous dessiniez une diagonale.

    créer correctement une fonction de motif

    * si tout est fait correctement, vous recevrez un tel message.

    Par conséquent, vous obtenez un motif dans l'onglet Modèle que vous pouvez utiliser dans la région remplie, mais personne ne vous empêche d'utiliser le motif lors de la sélection du motif de surface ou du motif de coupe.

    faire des erreurs dans les caractéristiques du motif

    * A gauche, nous avons notre dessin, et à droite, la zone à remplir où nous avons utilisé notre Pattern.

    Modification d'un motif existant

    Alors, voici ce qui s'est passé : je me suis retrouvé avec quelque chose comme ça, et oui, il y a une erreur. J'ai complètement oublié de délimiter une autre rangée de briques. Mais ne vous inquiétez pas, c'est une solution simple. Tout ce que vous avez à faire est d'ajouter cette rangée de briques manquante et d'appuyer à nouveau sur le bouton "Créer un motif". C'est aussi simple que ça!

    faire des erreurs d'éclosion de motifs

    * cliquez sur la flèche à droite du nom.

    Dans le nom, sélectionnez un motif existant (dans notre cas, Brick Wall 250x120x65) et cliquez sur Créer un motif. En conséquence, le Pattern sera mis à jour, pas créé, et si vous l'avez déjà utilisé, il sera automatiquement remplacé par une version plus récente.

    créer une fonctionnalité de modèle pyRevit comment créer

    * Nous disposons désormais de magnifiques hachures personnalisées, rapides et pratiques.

    Important!

    Nous pouvons ajouter des motifs à n'importe quel matériau, mais n'oubliez pas de le rechercher sous l'onglet de droite : onglet Dessin / Modèle. Voilà à quoi ça ressemble sur le mur :

    créer une fonctionnalité de modèle comment l'utiliser

    * voici à quoi ressemble le mur sur la vue en élévation.

    14. Copier l'état / Coller l'état

    État de copie

    Copiez les paramètres qui ne peuvent pas être copiés à l'aide des outils Revit natifs. Une fonctionnalité très utile pour garder votre projet en ordre et conserver le même style de vos dessins d'exécution depuis la zone de sélection, la vue zoom et la visibilité/graphiques.

    Copier le guide des fonctionnalités de pyRevit

    * une petite description de la fonctionnalité Copy State par les auteurs.

    L'outil Copier l'état comprend les options suivantes :

    1. Copier l'état du zoom/panoramique de la vue
    2. Graphiques de visibilité
    3. Région cultivée
    4. Remplacements de filtre

    Coller l'état

    Fonctionnalité complémentaire de la fonction précédente, elle transfère l'état sélectionné de l'image précédente à la suivante dont vous avez besoin.

    Guide pyRevit de la fonctionnalité Coller l'état

    * une petite description de la fonctionnalité Paste State par les auteurs.

    Exemple:

    Déplacement de la région cadrée de l'étage 1 à l'étage 2 :

    Copier et coller l'état de pyRevit, comment faire

    * La région Сrop a été déplacée du 1er étage au 2ème étage. Vite et bien.

    Fonction Copier-Coller pyrevit

    . pyrevit les fonctionnalités les plus utiles

    15. Outils familiaux

    Une chose que vous ne pouvez pas faire sans Revit, ce sont les familles. Nous devons donc être capables de les gérer et de les utiliser correctement.

    guide des fonctionnalités familiales

    * sous-fonctions liées aux fonctions familiales que vous pouvez utiliser.

    Vérification rapide familiale :

    Détectez les familles Revit corrompues susceptibles d'endommager votre modèle ou de générer de futurs messages d'erreur.

    outils de la famille Pyrevit

    Enregistrer et charger des familles :

    Enregistrez par lots les familles dans un dossier ou chargez plusieurs familles dans votre projet Revit.

    famille pyrevit sauver

    * Cette animation GIF montre comment fonctionne le script d'épargne familiale

    fonctionnalité des familles de charges pyrevit

    * cette animation gif montre comment fonctionne le script de chargement de la famille

    Convertir les familles en visage basé sur l'hôte :

    Le script vous permet de supprimer toutes les instances précédentes de la famille que vous avez sélectionnée et tente de la convertir en Face Host Based. Veuillez noter que la fonctionnalité fonctionne pour des types spécifiques de modèles et de familles (voir la description du script pour plus de détails).

    famille d'accueil pyrevit basée

    * la description du script décrit les familles pouvant être converties

    16. Modifier les outils

    Un ensemble varié d'outils pour les petites tâches qui ne sont pas disponibles via les outils natifs de Revit :

    Changez le type d'élément en toute sécurité :

    Modifiez le type d'élément tout en conservant les valeurs de tous les paramètres d'instance.

    N'oubliez pas que vous devez d'abord sélectionner l'objet que vous souhaitez utiliser pour cette fonction !

    changer le type d'élément en toute sécurité fonctionnalité pyrevit

    * une petite description de la fonctionnalité de type d'élément CChange en toute sécurité par les auteurs.

    pyrevit changer le type d'élément en toute sécurité

    Convertir les styles de ligne :

    Cet outil peut facilement vous aider à convertir les lignes que vous avez choisies d'un type à un autre sur l'ensemble de votre projet. Veuillez noter que les lignes faisant partie d'un groupe ne seront pas modifiées.

    convertir la fonctionnalité de ligne de style guide pyRevit

    * une petite description de la fonctionnalité Convertir les styles de ligne par les auteurs.

    ligne de conversion pyrevit

    Exporter la vue sous forme d'image :

    L'image générée a une résolution de 600 DPI au format PNG, ce qui est la valeur la plus élevée possible pour générer des images à partir de Revit. Veuillez noter que les tailles d'image avec une telle résolution peuvent être trop lourdes.

    fonction d'exportation d'image pyrevit

    * une petite description de la fonctionnalité Exporter les vues sous forme d'image par les auteurs.

    exportation des fonctions Pyrevit

    * une petite description de la fonctionnalité Fusionner les pièces par les auteurs.

    Marqueur d'origine du lieu :

    Définit le point d'origine à 0, 0, 0. C'est également très utile si vous utilisez d'autres logiciels en parallèle, comme AutoCAD, etc. Dans ce cas, vous pouvez utiliser ce marquage pour vérifier si le dessin/modèle exporté a le mêmes coordonnées.

    Placer la fonction de point d'origine guide pyRevit

    * une petite description de la fonctionnalité de marqueur d'origine de lieu par les auteurs.

    fonction pyrevit du point d'origine

    Secouez les régions remplies :

    Un ajout intéressant à la fonctionnalité de conversion de type de ligne, utile pour les grands projets où les régions remplies sont « perdues ». Semblable aux commandes REDRAW et REGEN d'AutoCAD.

    secouer les régions remplies de la fonction pyrevit

    * une petite description de la fonctionnalité des régions remplies Shake par les auteurs.

    Marquer dans toutes les vues :

    La fonction donne automatiquement le choix aux tags soit sur les espaces du projet, soit sur les pièces sur toutes les vues.

    C'est très important pour ceux qui sont soucieux du temps et souhaitent optimiser leur travail.

    Guide pyRevit de la fonctionnalité Baliser dans toutes les vues

    * une petite description de la fonctionnalité Tag dans toutes les vues par les auteurs.

    17. Outils 3D

    Orienter la boîte de coupe vers le visage :

    Comme le nom de la fonction l'indique, elle oriente la boîte de coupe parallèlement et perpendiculairement à la face de l'objet que vous avez sélectionné.

    orienter la boîte de coupe pour faire face à la fonction Pyrevit * une petite description de la boîte de section Orient pour faire face aux fonctionnalités des auteurs.

    orienter la zone de coupe

    Orienter la vue vers le visage :

    Semblable à la fonction précédente avec une légère différence, nous ne faisons désormais pas pivoter la boîte de coupe par rapport à la face sélectionnée, mais la vue elle-même par rapport à la face sélectionnée.

    Orienter la vue pour faire face à l'élément pyrevit

    * une petite description de la fonctionnalité Vue Orient pour faire face par les auteurs.

    orienter la vue vers la fonction pyrevit

    18. Afficher les outils

    Une large gamme d'outils pour travailler vos types. Il est difficile d'imaginer ce qui manque.

    1. Ouvrir la feuille de référencement
    2. Ouvrir les vues référentes
    3. Rechercher des vues par filtre
    4. Requête de placement de feuille de vue : compare la liste des vues qui n'ont été placées sur aucune feuille
    5. Requête de référencement de vue : interroge toutes les vues sélectionnées et détermine si elles sont référencées ou non
    6. Fermer les onglets
    7. Renommer les vues sélectionnées
    8. Dupliquer les vues sélectionnées
    9. Créer un jeu d'impression à partir des vues sélectionnées
    10. Rechercher les filtres de modèles de vue utilisés : comparez une liste de tous les modèles de vue et filtres qui ont été attribués à chacun.
    11. Copier les modèles de vues sélectionnés vers d'autres modèles ouverts
    12. Basculer toutes les bulles de grille dans la vue actuelle (la fonction se trouve ci-dessous)
    13. Faire correspondre le titre sur la feuille dans Open Docs (la fonction se trouve ci-dessous)
    14. Créer une section parallèle
    15. Ajouter des vues aux feuilles (la fonction se trouve ci-dessous)
    16. Supprimer la sous-couche des vues sélectionnées
    17. Inclure ou exclure des paramètres de modèle 
    Outils de visualisation pour Pyrevit

    * sous-fonctions liées aux fonctions d'affichage que vous pouvez utiliser.

    Basculer toutes les bulles de grille dans la vue actuelle 

    Bascule toutes les bulles de grille ou celles sélectionnées dans la vue active.

    Facile et rapide !

    bulles de grille comment éteindre

    * une petite description de la fonctionnalité Basculer toutes les bulles de grille dans la vue actuelle par les auteurs.

    les bulles de grille comportent du pyrevit comment ça marche

    Faire correspondre le titre sur la feuille dans Open Docs

    Parfois, les valeurs Titre de la vue et Titre sur la feuille sont différentes, au lieu de parcourir la liste des vues et de corriger cela manuellement, utilisez cet outil.

    faire correspondre le titre sur la feuille dans la fonctionnalité pyrevit des documents ouverts

    * une petite description de la fonctionnalité Faire correspondre le titre sur la feuille dans Open Docs par les auteurs.

    faire correspondre le titre sur shhet dans les documents ouverts

    Ajouter des vues aux feuilles

    Peut ajouter plusieurs vues à plusieurs feuilles. Veuillez noter que les vues de modèle (plans, coupes, élévations, etc.) ne peuvent pas être ajoutées à plusieurs feuilles. D'un autre côté, les légendes et les vues détaillées peuvent exister sur plusieurs feuilles en même temps.

    ajouter des vues sur les feuilles, fonctionnalité pyrevit

    * une petite description de la fonctionnalité Ajouter des vues aux feuilles par les auteurs.

    ajouter des vues aux feuilles fonction pyrevit comment ça marche

    19. Choisissez

    Fonctionnalité idéale pour les grands projets, elle vous permet d'activer la sélection des éléments Modèle ou Détail uniquement, rendant les autres catégories visibles mais non touchables. Un gros avantage est que la liste de sélection peut être étendue avec SHIFT+Click, ce qui rend votre travail plus efficace.

    choisir la fonctionnalité Pyrevit

    * une petite description de la fonctionnalité Pick par les auteurs.

    choisir la fonction dans pyrevit comment ça marche

    Choisir des éléments de détail

    Active la sélection des éléments de détail tels que le texte, les dimensions, les balises, l'annotation et plus encore.

    choisir des éléments de détail, fonctionnalité pyrevit

    * une petite description de la fonctionnalité Pick Detail Elements par les auteurs.

    choisir des éléments de détail fonctionnalité pyrevit comment ça marche

    20. Outils d'inspection

    Cette série de fonctions fonctionne dans le style "Ctrl+F" pour trouver les éléments requis. Le nombre d’objets que vous pouvez trouver est assez large, alors expérimentez.

    1. Compter les lignes du style sélectionné : compte toutes les lignes du modèle avec un style correspondant à la ligne sélectionnée
    2. Rechercher toutes les contraintes attachées : rechercher toutes les contraintes attachées aux éléments sélectionnés
    3. Trouver des numéros de chambre identiques : (veuillez consulter les explications de l'outil suivant)
    4. Rechercher les liens Revit surveillés : répertorie les liens Revit qui sont surveillés par les éléments sélectionnés.
    5. Rechercher les éléments référencés : répertorie tous les éléments liés à l'élément sélectionné
    6. Rechercher des vues référencées par balise d'élévation sélectionnée : répertorie toutes les vues référencées par la balise d'élévation sélectionnée.
    7. Trouver des feuilles de référencement : (veuillez consulter les explications de l'outil suivant)
    8. Rechercher des feuilles affichant l'élément sélectionné : répertorie toutes les feuilles et vues dans lesquelles les éléments sélectionnés sont visibles.
    9. Rechercher une vue affichant l'élément sélectionné : répertorie toutes les vues dans lesquelles les éléments sélectionnés sont visibles.
    10. Kines Per View Counter : répertorie le nombre de lignes de détail triées pour toutes les vues avec des lignes de détail.
    11. Liste des éléments des niveaux sélectionnés : (veuillez consulter les explications de l'outil suivant)
    12. Répertorier les tailles de famille
    inspecter la fonction Pyrevit

    * une petite description de la fonctionnalité Inspecter par les auteurs.

    Trouver des numéros de chambre identiques

    Des numéros de pièce identiques peuvent entraîner des calculs de superficie incorrects et des erreurs de programme. En un clic, le script retrouvera les numéros de chambres identiques.

    trouver des numéros de chambre identiques, fonction pyrevit

    * une petite description de la fonctionnalité Rechercher des numéros de pièce identiques par les auteurs.

    Trouver des feuilles de référencement

    Cette fonctionnalité vous aidera à naviguer où se trouvent les plans sur lesquels vous travaillez dans vos feuilles.

    trouver des fiches de référencement fonctionnalité pyrevit

    * une petite description de la fonctionnalité Rechercher des feuilles de référencement par les auteurs.

    trouver des fiches de référencement fonctionnalité pyrevit comment faire

    Liste des éléments des niveaux sélectionnés

    Cette fonctionnalité vous aidera à comprendre combien et quels éléments spécifiques vous pouvez trouver à un niveau particulier.

    éléments sur les niveaux fonctionnalité pyrevit

    * une petite description de la fonctionnalité Liste des éléments du ou des niveaux sélectionnés par les auteurs.

    Liste des niveaux sélectionnés Fonctionnalité Pyrevit Comment faire

    Conclusion:

    Il faut un certain temps pour savoir ce que l'on ne sait pas sur le large éventail d'outils de pyRevit, et encore plus lorsque l'on découvre ses packs d'extensions, plus de 12 nouveaux onglets à ajouter à votre interface Revit (nous en parlerons dans notre prochain article ). Notre conseil, faites une pause de temps en temps et demandez-vous quelles tâches répétitives prennent le dessus sur votre journée et comment minimiser les heures consacrées à la « bureaucratie » architecturale et commencer à investir ce temps judicieusement.

    Nous espérons que cet (très long) article vous a donné la motivation pour creuser et commencer à explorer de nouveaux outils de productivité totalement gratuits. Alors pourquoi attendre ? Obtenez-le et commencez à créer des trucs vraiment géniaux ! 🚀

    Blog PyRevit

    Installer PyRevit


    Laissez un commentaire

    Veuillez noter que les commentaires doivent être approvés avant d'être affichés

    Ce site est protégé par reCAPTCHA, et la Politique de confidentialité et les Conditions d'utilisation de Google s'appliquent.